package CatalystX::HelpText::File;
use Moose;
use MooseX::Types::Moose qw/Str/;
use Moose::Autobox;
use Carp qw/confess/;
use namespace::autoclean;

has help_files_path => (
    is => 'ro',
    isa => Str,
    default => '/support/help/',
);

has help_files_ext => (
  is => 'ro',
  isa => Str,
  default => '.html',
);

sub get_help_text_for {
    my ($self, $c, $help_key) = @_;
    confess('No $c provided') unless $c;
    confess('No $help_key provided') unless $help_key;

    my $file_path = $c->path_to('root', $self->help_files_path.$help_key.$self->help_files_ext);
    my $string = '';
    if ( -e $file_path ) {
        local $/=undef;
        open FILE, $file_path or confess "Couldn't open file: $!";
        $string = <FILE>;
        close FILE;
    }

    return $string;
}

1;

